curl --request GET \
--url https://api.hubapi.com/files/v3/files/stat/{path} \
--header 'Authorization: Bearer <token>'{
"file": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
},
"folder": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Récupérer un fichier par son chemin.
curl --request GET \
--url https://api.hubapi.com/files/v3/files/stat/{path} \
--header 'Authorization: Bearer <token>'{
"file": {
"access": "HIDDEN_INDEXABLE",
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"sourceGroup": "CONTENT",
"type": "<string>",
"url": "<string>",
"width": 123
},
"folder": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Produits pris en charge
Portées requises
filesfiles.ui_hidden.readThe access token received from the authorization server in the OAuth 2.0 flow.
Le chemin du fichier.
.+Propriétés à renvoyer dans la réponse.